\section{Practicing}
Just remember that all professionals practice their art by engaging in exercises.

\subsection{The Coding Dojo}
Programmers have adapted the name Coding Dojo for the art of practicing their skill to write code. This can happen in different practices.

\paragraph{Kata}
In a Kata you are not training to solve a problem, you most of the time already know the solutions but you want to train the way you write code: shortcuts, speed of writing etc. This is a good way to learn keys and navigation. But it can also be used to learn TDD, and CI.

\paragraph{WASA}
Is a special way to write code together. One programmer does write unit tests, and then the other must make it pass. After a circle they change the roles.

\paragraph{Randori}
This Dojo is played in a bigger group and one does write a failing test and the next person makes sure, that the written test does pass. There is no sequence so everybody can step in when he or she want's to.

\subsection{Broadening your Experience}
Programmers often do solve the same kind of problems on their job. In order to be able to solve different kind of problems, they need to practice that.

\paragraph{Open Source}
This practice could be gathered by contributing to an Open Source Project. 

\paragraph{Practice Ethics}
it's not your employers job to make sure that you get the practice you need. Make sure that you get the training in your free time so that your skills stay sharp.
